Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.policy
Class PolicyReconcilerHelper

    java.lang.Object
      |
      +--org.openorb.policy.PolicyReconcilerHelper

public class PolicyReconcilerHelper
extends java.lang.Object

Helper class for : PolicyReconciler

Author:
  OpenORB Compiler

Constructor Summary
`PolicyReconcilerHelper()`

Method Summary
`static PolicyReconciler` | `extract(Any a)` Extract PolicyReconciler from an any
`static java.lang.String` | `id()` Return the PolicyReconciler IDL ID
`static void` | `insert(Any a, PolicyReconciler t)` Insert PolicyReconciler into an any
`static PolicyReconciler` | `narrow(Object obj)` Narrow CORBA::Object to PolicyReconciler
`static PolicyReconciler` | `read(InputStream istream)` Read PolicyReconciler from a marshalled stream
`static TypeCode` | `type()` Return the PolicyReconciler TypeCode
`static PolicyReconciler` | `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to PolicyReconciler
`static void` | `write(OutputStream ostream, PolicyReconciler value)` Write PolicyReconciler into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PolicyReconcilerHelper

    public PolicyReconcilerHelper()

Method Detail

### insert

    public static void insert(Any a,
                              PolicyReconciler t)

  Insert PolicyReconciler into an any
  Parameters:
    `a` - an any
    `t` - PolicyReconciler value

### extract

    public static PolicyReconciler extract(Any a)

  Extract PolicyReconciler from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted PolicyReconciler value

### type

    public static TypeCode type()

  Return the PolicyReconciler TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the PolicyReconciler IDL ID
  Returns:
    an ID

### read

    public static PolicyReconciler read(InputStream istream)

  Read PolicyReconciler from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed PolicyReconciler value

### write

    public static void write(OutputStream ostream,
                             PolicyReconciler value)

  Write PolicyReconciler into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - PolicyReconciler value

### narrow

    public static PolicyReconciler narrow(Object obj)

  Narrow CORBA::Object to PolicyReconciler
  Parameters:
    `obj` - the CORBA Object
  Returns:
    PolicyReconciler Object

### unchecked_narrow

    public static PolicyReconciler unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to PolicyReconciler
  Parameters:
    `obj` - the CORBA Object
  Returns:
    PolicyReconciler Object

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD